/// <reference path="../pb_data/types.d.ts" />
migrate((app) => {
  const collection = app.findCollectionByNameOrId("pbc_2541054544")

  // add field
  collection.fields.addAt(24, new Field({
    "hidden": false,
    "id": "number9101010101",
    "max": null,
    "min": null,
    "name": "reported_home_cups",
    "onlyInt": true,
    "presentable": false,
    "required": false,
    "system": false,
    "type": "number"
  }))

  // add field
  collection.fields.addAt(25, new Field({
    "hidden": false,
    "id": "number9202020202",
    "max": null,
    "min": null,
    "name": "reported_away_cups",
    "onlyInt": true,
    "presentable": false,
    "required": false,
    "system": false,
    "type": "number"
  }))

  // add field
  collection.fields.addAt(26, new Field({
    "hidden": false,
    "id": "number9303030303",
    "max": null,
    "min": null,
    "name": "reported_ot_count",
    "onlyInt": true,
    "presentable": false,
    "required": false,
    "system": false,
    "type": "number"
  }))

  // add field
  collection.fields.addAt(27, new Field({
    "cascadeDelete": false,
    "collectionId": "pbc_1568971955",
    "hidden": false,
    "id": "relation9404040404",
    "maxSelect": 1,
    "minSelect": 0,
    "name": "reported_by_team",
    "presentable": false,
    "required": false,
    "system": false,
    "type": "relation"
  }))

  // add field
  collection.fields.addAt(28, new Field({
    "cascadeDelete": false,
    "collectionId": "pbc_3072146508",
    "hidden": false,
    "id": "relation9505050505",
    "maxSelect": 1,
    "minSelect": 0,
    "name": "reported_by_player",
    "presentable": false,
    "required": false,
    "system": false,
    "type": "relation"
  }))

  return app.save(collection)
}, (app) => {
  const collection = app.findCollectionByNameOrId("pbc_2541054544")

  // remove field
  collection.fields.removeById("number9101010101")

  // remove field
  collection.fields.removeById("number9202020202")

  // remove field
  collection.fields.removeById("number9303030303")

  // remove field
  collection.fields.removeById("relation9404040404")

  // remove field
  collection.fields.removeById("relation9505050505")

  return app.save(collection)
})
